IPSW-OTA-PATCH-RSR(1)

NAME
ipsw-ota-patch-rsr - Patch RSR OTAs

SYNOPSIS
ipsw ota patch rsr | --cryptex [flags]

DESCRIPTION
Patch RSR OTAs

OPTIONS
-c, --cryptex=""
    Patch a local cryptex RIDIFF file directly (no OTA argument)

-a, --dyld-arch=[]
    Limit OTA system cryptex patching to these dyld_shared_cache architectures

-h, --help[=false]
    help for rsr

-i, --input=""
    Input folder containing base DMGs to patch against

-o, --output=""
    Output folder for patched DMGs

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--insecure[=false]
    Allow insecure connections when fetching AEA keys

--key-db=""
    Path to AEA keys JSON database (auto-lookup by filename)

--key-val=""
    Base64 encoded AEA symmetric encryption key

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-ota-patch(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra